Bug 55569 - Some files in /etc have write permission to everyone in 7.1k
Summary: Some files in /etc have write permission to everyone in 7.1k
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1k
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-02 06:32 UTC by Xavier Cho
Modified: 2014-03-17 02:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-02 15:30:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:148 normal SHIPPED_LIVE : Red Hat Linux 7.1 Korean installation program creates files with bad umask 2001-11-02 05:00:00 UTC

Description Xavier Cho 2001-11-02 06:32:53 UTC
Files listed below in RedHat 7.1k distribution have write permission 
to everyone. I suppose this bug could be major security hole and should be
fixed immediately. Thanks.

Xavier

-rw-rw-rw- 1 root root 51 11? 2 2001 modules.conf~
-rw-rw-rw- 1 root root 93 11? 2 2001 ld.so.conf
-rw-rw-rw- 1 root root 177 11? 2 2001 hosts
-rw-rw-rw- 1 root root 66 11? 2 2001 shells
-rw-rw-rw- 1 root root 52 11? 2 01:36 resolv.conf

Comment 1 Bill Nottingham 2001-11-02 06:39:32 UTC
Exactly which kernel do you have installed?

Comment 2 Xavier Cho 2001-11-02 06:43:37 UTC
 I've upgraded my system to kernel 2.4.9 with up2date right 
after the installation.

Comment 3 Bill Nottingham 2001-11-02 06:50:35 UTC
Never mind; I see that 7.1k ships with 2.4.3-12 as the default install kernel.

Comment 4 Kwan-hong, Lee 2001-11-02 09:28:40 UTC
Hm? Is there any relation that kernel and permission?

Comment 5 Bill Nottingham 2001-11-02 15:30:06 UTC
Yes.

Comment 6 Jeremy Katz 2001-11-29 01:36:40 UTC
Fixed with an updates disk for 7.1k and an updated redhat-release package which
will make the necessary changes.


Note You need to log in before you can comment on or make changes to this bug.